@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:wght@200;400;600;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Serif+Display&display=swap');

:root {
    --primary: #2452bb;
    --primary-shade: #1e449b;
    --secondary: #dd1f84;
    --accent: #fbb731;
    --dark: #073842;
    --darker: #021F25;
    --light: #fff;
    --light-60: #fefbefc2;
    --gray: #dce9e9;
    --small: 0.8rem;
    --extrasmall: 0.64rem;
    --font-primary: 'Fira Sans', sans-serif;
    --font-accent: 'DM Serif Display', serif;
    --fontsize-default: 18px;
    --shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
    --shadow-two:rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
}
html {
    scroll-padding-top: 5.2rem;
    scroll-behavior: smooth;
}

body {
    margin: 0;
    color: var(--dark);
    font-family: var(--font-primary);
    font-size: 1.3rem;
}
main {
    min-height: 56vh;
}
h1, h2, h3, h4, h5 {
    font-family: var(--font-accent);
}
h1 {
    font-size: 2.986rem
}
h2 {
    font-size: 2.488rem
}
h3 {
    font-size: 2.074rem
}
h4 {
    font-size: 1.728rem
}
h5 {
    font-size: 1.44rem
}
h6{
    font-size: 1.2rem
}

a {
    color: var(--primary);
}
a:hover {
    color: var(--secondary);
}
p {
    line-height: 2rem;
}
p.small {
    font-size: 1rem;
    color: var(--dark);
}
.ds-none {
    display: none;
} 
button, a.btn {
    cursor: pointer;
    background-color: var(--primary);
    color: var(--light);
    padding: .8rem 1rem;
    border: none;
    font-size: 1.2rem;
    font-weight: 800;
    border-radius: 1rem;
    transition: all 200ms;
    text-decoration: none;
}
button:hover {
    filter: brightness(110%);
    box-shadow: var(--shadow);
}
button.btn-accent {
    background-color: var(--accent);
    color: var(--darker);

}
button.btn-secondary, a.btn-secondary {
    background-color: var(--secondary);
    color: var(--light);
}
button.btn-outline, a.btn-outline {
    background-color: transparent;
    color: var(--light);
    border: solid 1px var(--light-60);
}
img.img-fluid {
    width: 100%;
}
.container {
    max-width: 90%;
    margin-left: auto;
    margin-right: auto;
}
.bg-primary{
    background-color: var(--primary) !important;
}
.bg-secondary{
    background-color: var(--secondary) !important;
}
.bg-accent{
    background-color: var(--accent) !important;
}
.bg-dark{
    background-color: var(--dark) !important;
}
.bg-light{
    color: var(--light) !important;
    fill: var(--light) !important;
    filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(16deg) brightness(104%) contrast(103%);
}
.bg-gray {
    background-color: var(--gray) !important;
}
.text-primary {
    color: var(--primary);
}
.text-secondary {
    color: var(--secondary);
}
.text-accent {
    color: var(--accent);
}
.no-ul {
    list-style: none;
    padding-left: 0;
}
.fill-light{
    filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(16deg) brightness(104%) contrast(103%);
}
.rounded {
    border-radius: 1rem;
}
.shadow {
    box-shadow: var(--shadow);
}

/* NAVBAR */
.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    box-sizing: border-box;
}
#logo {
    max-width: 190px;
    margin-top: .5rem ;
}
nav {
    display: grid;
    grid-template-columns: 190px 1fr;
    align-items: center;
    padding: 1rem 2rem;
    background-color: var(--light);
    box-shadow: var(--shadow);
}
.menu-mobile {
    display: grid;
    justify-content: end;
}


/* MOBILE MENU BUTTON */
#mobile-menu-btn {
    background-color: var(--light);
    z-index: 99;
}
.menu_icon {
    width: 24px;
    height: 24px;
    position: relative;
}
.menu_icon span {
    position: absolute;
    display: block;
    height: 2px;
    width: 24px;
    background-color: var(--primary);
    transform: rotate(0);
    transition: all 200ms cubic-bezier(0.895, 0.03, 0.685, 0.22);
} 
span.one {top: 0px;}
span.two {top: 10px;}
span.three {top: 20px;}
.clicked .one {transform: translateY(10px) rotate(45deg);}
.clicked .two {opacity: 0;}
.clicked .three {transform: translateY(-10px) rotate(-45deg);}
/* END */

#book-now {
    position: fixed;
    bottom: 1rem;
    right: 1rem;
    color: var(--light);
    font-weight: 400;
    border-radius: 3rem;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
    padding: 1rem 1.2rem;

    z-index: 80;
}


/* Initially hide the menu */
#menu {
    opacity: 0;
    height: 0;
    width: 100%;
    overflow: hidden;
    transition: all .3s ease;
    position: absolute;
    top: 0;
    margin-top: 0;
    box-sizing: border-box;
    z-index: 98;
  }
  /* Show the menu when the 'visible' class is added */
  #menu.visible {
    opacity: 1;
    height: 100vh;
    background-color: var(--primary);
    display: grid;
    align-content: center;
    text-align: center;
  }


    
nav ul li {
    list-style: none;
    padding-left: 0;
    margin-bottom: 1.5rem;
    font-size: 1.5rem;
}
ul.menu-desktop a {
    color: var(--light);
}
ul.menu-desktop a:hover {
    color: var(--accent);
}


/* HERO */
.hero {
    background-color: var(--primary);
    color: var(--light);
    padding: 3rem 2rem;
    margin-top: 5rem;
}
h1.hero-title {
    font-size: 2.6rem;
    font-weight: 800;
    color: var(--accent);
    letter-spacing: .05rem;
}
h1.hero-title span {
    font-size: 2rem;
    background-color: var(--primary-shade);
    color: var(--accent);
    padding: .1rem .5rem;
}
/* SERVICES SECTION */
.services {
    text-align: center;
    margin-top: 4rem;
}
.services h2, .why h2 {
    margin-bottom: 0;
}
/* cards */
.card {
    display: grid;
    grid-template-columns: 50px 1fr;
    gap: 1.2rem;
    background-color: var(--primary);
    color: var(--light);
    text-align: left;
    padding: 2rem;
    border-radius: 1rem;
    box-shadow: var(--shadow);
    margin-bottom: 1rem;
    transition: all 500ms;
}

.card-simple {
    display: grid;
    background-color: var(--primary);
    color: var(--light);
    text-align: left;
    padding: 0 3rem 2rem 3rem;
    border-radius: 1rem;
    box-shadow: var(--shadow);
    margin-bottom: 1rem;
    transition: all 500ms;
}

.card h3 {
    margin: 0;
    font-weight: 600;
    font-size: 2rem;
    
}
.card p {
    color: var(--light-60);
}
.card a.more {
    grid-column: 2 / 2;
    color: var(--light);
    text-decoration: none;
    justify-self: end;
    align-self: self-end;
    transition: all 500ms;
    font-size: 1.1rem;
}

.card a.more:hover {
    box-shadow: var(--shadow);
}
.card-text a {
    color: var(--accent);
    transition: all 500ms;
}
.card-text a:hover {
    color: var(--light-60);
}

/* WHY */
.why {
    background-color: var(--gray);
    padding: 3rem;
}
.why span {
    font-weight: 800;
}

/* QUOTE */
.quote {
    text-align: center;
    margin: 3rem auto;
    max-width: 90%;
}
/* MESSAGES */
.messages {
    margin: 1rem;
    border-radius: 1rem 1rem 0 1rem;
    background-color: var(--gray);
    padding: 2rem;
}
.customer-name {
    font-weight: 800;
    font-style: italic;
    font-size: 1.5rem;
    margin-bottom: 0;
}
.date {
    font-size: 1rem;
    margin-top: 0;
}


/* SERVICES PAGE */
.container-services {
    display: grid;
    gap: 1rem;
    text-align: left;
    box-shadow: var(--shadow);
    margin-bottom: 2rem;
    border-radius: 1rem;
} 
.services-card {
    color: var(--light);
    padding: 2rem;
    border-radius: 1rem 1rem 0 0;
    
}
.services-card-bottom {
    padding: 2rem;
}
.mt-0 {
    margin-top: 0;
}
.mt-8 {
    margin-top: 8rem;
}
.mb-0 {
    margin-bottom: 0;
}
.icon-services {
    max-width: 64px;
}
.services-li {
    list-style: none;
    padding-left: 1rem;
}



footer {
    background-color: var(--primary);
    color: var(--light);
    padding: 3rem;
    display: grid;
    gap: 1rem;
    margin-top: 4rem;
}
footer img {
    max-width: 200px;
}

.ul-footer {
    list-style: none;
    padding-left: 0;
    margin-top: 3rem;
}
.ul-footer li {
    margin-bottom: .4rem;
}
footer a {
    color: var(--light);
}
footer a:hover {
    color: var(--accent);
}

.footer-icon {
    display: inline-block;
    width: 32px;
    margin-right: 1rem;
    margin-top: 2rem;
}
.copy {
    margin-top: 3rem;
    font-size: .9rem;
    color: var(--light-60);
    opacity: .6;
    
}
.copy hr {
    border: solid 1px var(--light-60);
    opacity: .4;
}



@media screen and (min-width: 500px) {

    .navbar {
        padding-left: 12rem;
        padding-right: 12rem;
    }
    /* HERO */
    .hero {
        display: grid;
        grid-template-columns: 40% 60%;
        justify-content: center;
        align-items: center;
    }
    h1.hero-title {
        font-weight: 800;
    }
    .cards {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1rem;
        margin-top: 3rem;
    }

    .why, .quote {
        display: grid;
        grid-template-columns: 30% 42%;
        gap: 1rem;
        justify-content: center;
        align-items: center;
        padding-top: 4rem;
        padding-bottom: 4rem;
        text-align: left;
    }

    .copy {
        grid-column: 1 / 4;
    }
}


@media screen and (min-width: 1100px) {

    /* NAVBAR */
    .menu-mobile {
        display: none;
    }
    #menu {
        opacity: 1;
        display: block;
        text-align: right;
        height: auto;
        width: auto;
        position: relative;
        margin-bottom: 0;
    }
    #menu li a {
        color: var(--dark);
        text-decoration: none;
    }
    #menu li a:hover {
        color: var(--secondary);
    }
    #menu li:last-child a{
        color: var(--secondary);
        font-weight: 600;
    }
    #menu li:last-child a:hover{
        color: var(--primary);
    }
    nav ul li {
        padding-left: 0;
        margin-bottom: 0;
        font-size: 1.2rem;
        display: inline;
        margin-left: 2rem;
    }
    /* HERO */
    .hero {
        display: grid;
        grid-template-columns: 25% 55%;
        justify-content: center;
        align-items: center;
    }
    .hero img {
        max-height: 400px;
        width: auto;
        justify-self: end;
    }
    h1.hero-title {
        font-size: 4.1rem;           
    }
    .services {
        margin-top: 6rem;
        margin-bottom: 6rem;
    }
    h2 {
        font-size: 3.4rem
    }
    .cards {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        gap: 1rem;
        margin-top: 3rem;
        margin-bottom: 3rem;
    }
    .card:hover, .card-simple:hover{
        box-shadow: var(--shadow-two);
    }
    .container {
        max-width: 72%;
        margin-left: auto;
        margin-right: auto;

    }


    .messages {
        display: grid;
        grid-template-columns: 28% 44%;
        gap: 1rem;
        justify-content: center;
        align-items: center;
        background-color: var(--light);
    }
    .review {
        padding: 2rem;
        border-radius: 1rem;
    }

    /* SERVICES PAGE*/
    .container-services {
        grid-template-columns: 24% 76%;
        box-shadow: none;
    } 
   .services-card {
        border-radius: 1rem;
        max-height: 200px;
        
    }
   
    .services-card-bottom {
        box-shadow: var(--shadow);
        border-radius: 1rem;
    }
    .dm-none {
        display: none;
    }
    .ds-none {
        display: block;
    }
    .italic {
        font-style: italic;
    }


    .icon-services {
        max-width: 64px;
    }

    



    footer {
        display: grid;
        grid-template-columns: repeat(3, 24%);
        justify-content: center;
    }

}

/* --- ABOUT US --- */
.about {
    margin-top: 8rem;
    text-align: center;
}
.slider {
    border-radius: .6rem;
}